Bug 506698 - Handle backward/forward compatibility for QMF
Handle backward/forward compatibility for QMF
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.1.1
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Ted Ross
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 08:11 EDT by Ted Ross
Modified: 2011-08-12 12:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This update handles backward/forward compatibility for QMF and its components.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2009-06-18 08:11:04 EDT
Description of problem:

In the next version, the QMF protocol will have undergone some changes and will have a new magic number in the header.  It's possible that components (agents, brokers, and consoles) will not all be upgraded at the same time.

It is important that the different versions work as well with each other as is possible.
Comment 4 Ted Ross 2010-04-07 09:47:52 EDT
In the 929717 (and later) packages, the broker provides dual support in that it allows both QMFv1 and QMFv2 operations to occur and the Python console concurrently supports both v1 and v2 agents.  A v1-only console will not be able to manage a v2 agent.

-Ted
Comment 6 Jan Sarenik 2010-10-06 09:27:39 EDT
QMF compatibility matrix

    MRG |  1.2  |  1.3  |  <-- agent
 +------+-------+-------|
    1.2 |  OK   |  n/a  |
    1.3 |  OK   |  OK   |
    ^
 console

Only 1.3 (QMF2 capable) broker was used in testing.

Condor with its QMF plugins (which use QMF1 in MRG 1.2
version of Condor) was run with QMF_BROKER_HOST set to
host running MRG 1.3 broker. Also sesame was run against
the same broker.

Then Python QMF console qpid-tool was from both hosts.

1.2 QMF console could see only 1.2 agents, i.e. it could
not see the MRG 1.3 broker's internal agents at all as
they use QMF2 already.

=========================================================
1.3 QMF console was able to see all the agents when asked
for schema, but QMF1 agent objects can not be seen using
"list" (except for "schema") without running 1.2 qpid-tool
first.
=========================================================

RHEL4 1.2 packages:
  amqp-1.0.750054-1.el4
  classads-1.0.4-1.el4
  condor-qmf-plugins-7.4.1-0.7.1.el4
  condor-7.4.1-0.7.1.el4
  gsoap-2.7.12-2.el4
  python-qpid-0.5.760500-6.el4
  qmf-0.5.752581-34.el4
  qpidc-0.5.752581-34.el4
  sesame-0.4.3153-2.el4

RHEL4 1.3 packages:
  classads-1.0.8-1.el4
  condor-qmf-7.4.4-0.16.el4
  condor-7.4.4-0.16.el4
  gsoap-2.7.12-2.el4
  python-qmf-0.7.946106-13.el4
  python-qpid-0.7.946106-14.el4
  qmf-0.7.946106-17.el4
  qpid-cpp-client-0.7.946106-17.el4
  qpid-cpp-server-0.7.946106-17.el4
  qpid-tools-0.7.946106-11.el4
  sesame-0.7.4297-3.el4
Comment 7 Jan Sarenik 2010-10-06 10:34:40 EDT
There is a new bug 506698 covering appearance of QMFv1 agent
objects. But as far as I can work around it (by running MRG 1.2
qpid-tool and triggering appearance of those objects this way),
I prove this bug to be verified with strings attached.

RHEL5
  MRG 1.2 packages:
    amqp-1.0.750054-1.el5
    python-qpid-0.5.752581-4.el5
    qmf-0.5.752581-34.el5
    qpidc-0.5.752581-34.el5
    sesame-0.4.3153-2.el5
  MRG 1.3 packages (installed on different host):
    python-qmf-0.7.946106-13.el5
    python-qpid-0.7.946106-14.el5
    qmf-0.7.946106-17.el5
    qpid-cpp-server-0.7.946106-17.el5
    qpid-cpp-client-0.7.946106-17.el5
    qpid-tools-0.7.946106-11.el5

Verified on both RHEL4 and RHEL5, i386 and x86_64.
Comment 8 Jan Sarenik 2010-10-06 10:44:07 EDT
Correction, the new one is bug 640640.
Comment 9 Martin Prpič 2010-10-07 10:15:01 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This update handles backward/forward compatibility for QMF and its components.
Comment 11 errata-xmlrpc 2010-10-14 12:10:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.